VERSION 5.00
Begin VB.Form frmmain 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Scrolling Background"
   ClientHeight    =   4050
   ClientLeft      =   45
   ClientTop       =   390
   ClientWidth     =   5430
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   270
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   362
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.PictureBox pScroll 
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      BorderStyle     =   0  'None
      Height          =   3000
      Left            =   315
      ScaleHeight     =   200
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   320
      TabIndex        =   1
      Top             =   255
      Width           =   4800
   End
   Begin VB.PictureBox PicSrc 
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      BorderStyle     =   0  'None
      Height          =   2175
      Left            =   915
      ScaleHeight     =   145
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   218
      TabIndex        =   0
      Top             =   5475
      Visible         =   0   'False
      Width           =   3270
   End
End
Attribute VB_Name = "frmmain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Declare Function BitBlt Lib "gdi32.dll" (ByVal hDestDC As Long, ByVal x As Long, ByVal y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal dwRop As Long) As Long

Private Running As Boolean
Private CurX As Long

Private Sub RenderBackground()
Dim RetVal As Long
Dim w As Long
Dim h As Long
Dim s0 As String
    
    'Just print some text on the background.
    s0 = "Scrolling Background" & vbCrLf & vbTab & "By DreamVB"
    pScroll.ForeColor = vbWhite
    pScroll.FontSize = 18
    pScroll.FontBold = True
    
    Running = True
    'Get width and height of source image
    w = PicSrc.ScaleWidth
    h = PicSrc.ScaleHeight

    Do While Running
    
        If CurX = w Then
            CurX = 0
        End If
        
        'Scroll the background
        RetVal = BitBlt(pScroll.hDC, CurX, 0, w, h, PicSrc.hDC, 0, 0, vbSrcCopy)
        RetVal = BitBlt(pScroll.hDC, 0, 0, w, h, PicSrc.hDC, (w - CurX), 0, vbSrcCopy)

        'Print s0 in center of picturebox.
        pScroll.CurrentX = (w - pScroll.TextWidth(s0)) / 2
        pScroll.CurrentY = (h - pScroll.TextHeight(s0)) / 2
        pScroll.Print s0
        'Keep things running
        Call Delay(0.8)
        CurX = (CurX + 1)
        DoEvents
    Loop
    
End Sub

Private Sub Delay(numTicks As Integer)
Dim I As Double
Dim st As Double
    For I = 1 To numTicks
        st = Timer
        While Timer = st
        Wend
    Next I
End Sub

Function FixPath(PathName As String) As String
    If Right$(PathName, 1) <> "\" Then
        FixPath = PathName & "\"
    Else
        FixPath = PathName
    End If
End Function

Private Sub Form_Load()
        PicSrc.Picture = LoadPicture(FixPath(App.Path) & "background.bmp")
        Call Me.Show
        Call RenderBackground
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Running = False
End Sub

